! dcstring_main.f90 - warning at string module for Fortran90
! Copyright (C) GFD Dennou Club, 2001.  All rights reserved
! vi: set ts=8 sw=4:

subroutine dcstringbase_warnlim(cause)
    use dc_trace, only: dbg, debug, sublevel
    implicit none
    character(len = *), intent(in):: cause
    integer:: stat
    intrinsic repeat
continue
    if (.not. debug()) return
    write(unit=dbg, fmt="(a)", iostat=stat) &
        '#' // repeat(' ', sublevel()) // &
        'dcstring_base(' // cause // '): too long string warning'
    if (stat /= 0) dbg = -1
end subroutine
